package cn.ey.biz.module.system.enums.category;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;


/**
 * 字典处理方法分类枚举值
 */
@Getter
@AllArgsConstructor
public enum CategoryFunctionEnum {

    /**
     * 默认全表简单查询
     */
    DEFAULT("default"),
    DEFAULT_PAGEFUL("defaultPageful"),
    DEFAULT_NON_CACHE("defaultNonCache"),

    CUSTOM_01("01"),
    CUSTOM_02("02"),
    CUSTOM_03("03"),
    CUSTOM_04("04");

    private final String code;


    public static CategoryFunctionEnum getByCode(String code) {
        return Arrays.stream(values()).filter(categoryCodeEnum -> categoryCodeEnum.getCode().equals(code)).findFirst().orElse(null);
    }


}
